﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Net.Mail;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace EmailSenderSample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            //Send Welcome
            WelcomeEmailTemplate temp = new WelcomeEmailTemplate();
            temp.Name = txtFullname.Text;
            temp.StartDate = DateTime.Parse(txtStart.Text);
            temp.EndDate = DateTime.Parse(txtEnd.Text);
            temp.StudentId = 6542345;

            var body = temp.TransformText();

            SendEmail(txtEmail.Text, txtFullname.Text, body, "Welcome!");
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            txtEmail.Text = "gavin.stevens@gmail.com";
            txtStart.Text = DateTime.Now.ToString();
            txtEnd.Text = DateTime.Now.AddDays(15).ToString();
            txtFullname.Text = "Gavin Stevens";
        }

        private void button2_Click(object sender, EventArgs e)
        {
            //Send Status
            StatusEmailTemplate temp = new StatusEmailTemplate();
            temp.Name = txtFullname.Text;
            temp.StartDate = DateTime.Parse(txtStart.Text);
            temp.EndDate = DateTime.Parse(txtEnd.Text);
            temp.StudentId = 6542345;

            var body = temp.TransformText();

            SendEmail(txtEmail.Text, txtFullname.Text, body, "Status!");
        }

        private void button3_Click(object sender, EventArgs e)
        {
            //Send Goodbye
            WelcomeEmailTemplate temp = new WelcomeEmailTemplate();
            temp.Name = txtFullname.Text;
            temp.StartDate = DateTime.Parse(txtStart.Text);
            temp.EndDate = DateTime.Parse(txtEnd.Text);
            temp.StudentId = 6542345;

            var body = temp.TransformText();

            SendEmail(txtEmail.Text, txtFullname.Text, body, "Goodbye!");


        }


        private void SendEmail(string toEmail, string name, string body, string subject)
        {
            SmtpClient client = new SmtpClient();
            client.Host = "smtp.gmail.com";
            client.Port = 587;
            client.EnableSsl = true;
            client.Credentials = new System.Net.NetworkCredential("basewizard@gmail.com", "goobase0");

            MailAddress from = new MailAddress("basewizard@gmail.com", name, System.Text.Encoding.UTF8);
            MailAddress to = new MailAddress(toEmail);
            // Specify the message content.
            MailMessage message = new MailMessage(from, to);
            message.Body = body;
            message.Subject = subject;

            client.Send(message);

        }

    }
}
